/*******************************************************************************
* File Name: ANALOG_CLOCK_16MHZ.h
* Version 2.20
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_ANALOG_CLOCK_16MHZ_H)
#define CY_CLOCK_ANALOG_CLOCK_16MHZ_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
* Conditional Compilation Parameters
***************************************/

/* Check to see if required defines such as CY_PSOC5LP are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5LP)
    #error Component cy_clock_v2_20 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5LP) */


/***************************************
*        Function Prototypes
***************************************/

void ANALOG_CLOCK_16MHZ_Start(void) ;
void ANALOG_CLOCK_16MHZ_Stop(void) ;

#if(CY_PSOC3 || CY_PSOC5LP)
void ANALOG_CLOCK_16MHZ_StopBlock(void) ;
#endif /* (CY_PSOC3 || CY_PSOC5LP) */

void ANALOG_CLOCK_16MHZ_StandbyPower(uint8 state) ;
void ANALOG_CLOCK_16MHZ_SetDividerRegister(uint16 clkDivider, uint8 restart) 
                                ;
uint16 ANALOG_CLOCK_16MHZ_GetDividerRegister(void) ;
void ANALOG_CLOCK_16MHZ_SetModeRegister(uint8 modeBitMask) ;
void ANALOG_CLOCK_16MHZ_ClearModeRegister(uint8 modeBitMask) ;
uint8 ANALOG_CLOCK_16MHZ_GetModeRegister(void) ;
void ANALOG_CLOCK_16MHZ_SetSourceRegister(uint8 clkSource) ;
uint8 ANALOG_CLOCK_16MHZ_GetSourceRegister(void) ;
#if defined(ANALOG_CLOCK_16MHZ__CFG3)
void ANALOG_CLOCK_16MHZ_SetPhaseRegister(uint8 clkPhase) ;
uint8 ANALOG_CLOCK_16MHZ_GetPhaseRegister(void) ;
#endif /* defined(ANALOG_CLOCK_16MHZ__CFG3) */

#define ANALOG_CLOCK_16MHZ_Enable()                       ANALOG_CLOCK_16MHZ_Start()
#define ANALOG_CLOCK_16MHZ_Disable()                      ANALOG_CLOCK_16MHZ_Stop()
#define ANALOG_CLOCK_16MHZ_SetDivider(clkDivider)         ANALOG_CLOCK_16MHZ_SetDividerRegister(clkDivider, 1u)
#define ANALOG_CLOCK_16MHZ_SetDividerValue(clkDivider)    ANALOG_CLOCK_16MHZ_SetDividerRegister((clkDivider) - 1u, 1u)
#define ANALOG_CLOCK_16MHZ_SetMode(clkMode)               ANALOG_CLOCK_16MHZ_SetModeRegister(clkMode)
#define ANALOG_CLOCK_16MHZ_SetSource(clkSource)           ANALOG_CLOCK_16MHZ_SetSourceRegister(clkSource)
#if defined(ANALOG_CLOCK_16MHZ__CFG3)
#define ANALOG_CLOCK_16MHZ_SetPhase(clkPhase)             ANALOG_CLOCK_16MHZ_SetPhaseRegister(clkPhase)
#define ANALOG_CLOCK_16MHZ_SetPhaseValue(clkPhase)        ANALOG_CLOCK_16MHZ_SetPhaseRegister((clkPhase) + 1u)
#endif /* defined(ANALOG_CLOCK_16MHZ__CFG3) */


/***************************************
*             Registers
***************************************/

/* Register to enable or disable the clock */
#define ANALOG_CLOCK_16MHZ_CLKEN              (* (reg8 *) ANALOG_CLOCK_16MHZ__PM_ACT_CFG)
#define ANALOG_CLOCK_16MHZ_CLKEN_PTR          ((reg8 *) ANALOG_CLOCK_16MHZ__PM_ACT_CFG)

/* Register to enable or disable the clock */
#define ANALOG_CLOCK_16MHZ_CLKSTBY            (* (reg8 *) ANALOG_CLOCK_16MHZ__PM_STBY_CFG)
#define ANALOG_CLOCK_16MHZ_CLKSTBY_PTR        ((reg8 *) ANALOG_CLOCK_16MHZ__PM_STBY_CFG)

/* Clock LSB divider configuration register. */
#define ANALOG_CLOCK_16MHZ_DIV_LSB            (* (reg8 *) ANALOG_CLOCK_16MHZ__CFG0)
#define ANALOG_CLOCK_16MHZ_DIV_LSB_PTR        ((reg8 *) ANALOG_CLOCK_16MHZ__CFG0)
#define ANALOG_CLOCK_16MHZ_DIV_PTR            ((reg16 *) ANALOG_CLOCK_16MHZ__CFG0)

/* Clock MSB divider configuration register. */
#define ANALOG_CLOCK_16MHZ_DIV_MSB            (* (reg8 *) ANALOG_CLOCK_16MHZ__CFG1)
#define ANALOG_CLOCK_16MHZ_DIV_MSB_PTR        ((reg8 *) ANALOG_CLOCK_16MHZ__CFG1)

/* Mode and source configuration register */
#define ANALOG_CLOCK_16MHZ_MOD_SRC            (* (reg8 *) ANALOG_CLOCK_16MHZ__CFG2)
#define ANALOG_CLOCK_16MHZ_MOD_SRC_PTR        ((reg8 *) ANALOG_CLOCK_16MHZ__CFG2)

#if defined(ANALOG_CLOCK_16MHZ__CFG3)
/* Analog clock phase configuration register */
#define ANALOG_CLOCK_16MHZ_PHASE              (* (reg8 *) ANALOG_CLOCK_16MHZ__CFG3)
#define ANALOG_CLOCK_16MHZ_PHASE_PTR          ((reg8 *) ANALOG_CLOCK_16MHZ__CFG3)
#endif /* defined(ANALOG_CLOCK_16MHZ__CFG3) */


/**************************************
*       Register Constants
**************************************/

/* Power manager register masks */
#define ANALOG_CLOCK_16MHZ_CLKEN_MASK         ANALOG_CLOCK_16MHZ__PM_ACT_MSK
#define ANALOG_CLOCK_16MHZ_CLKSTBY_MASK       ANALOG_CLOCK_16MHZ__PM_STBY_MSK

/* CFG2 field masks */
#define ANALOG_CLOCK_16MHZ_SRC_SEL_MSK        ANALOG_CLOCK_16MHZ__CFG2_SRC_SEL_MASK
#define ANALOG_CLOCK_16MHZ_MODE_MASK          (~(ANALOG_CLOCK_16MHZ_SRC_SEL_MSK))

#if defined(ANALOG_CLOCK_16MHZ__CFG3)
/* CFG3 phase mask */
#define ANALOG_CLOCK_16MHZ_PHASE_MASK         ANALOG_CLOCK_16MHZ__CFG3_PHASE_DLY_MASK
#endif /* defined(ANALOG_CLOCK_16MHZ__CFG3) */

#endif /* CY_CLOCK_ANALOG_CLOCK_16MHZ_H */


/* [] END OF FILE */
