/*******************************************************************************
* File Name: PowerBus_Out.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PowerBus_Out_ALIASES_H) /* Pins PowerBus_Out_ALIASES_H */
#define CY_PINS_PowerBus_Out_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define PowerBus_Out_0			(PowerBus_Out__0__PC)
#define PowerBus_Out_0_INTR	((uint16)((uint16)0x0001u << PowerBus_Out__0__SHIFT))

#define PowerBus_Out_1			(PowerBus_Out__1__PC)
#define PowerBus_Out_1_INTR	((uint16)((uint16)0x0001u << PowerBus_Out__1__SHIFT))

#define PowerBus_Out_2			(PowerBus_Out__2__PC)
#define PowerBus_Out_2_INTR	((uint16)((uint16)0x0001u << PowerBus_Out__2__SHIFT))

#define PowerBus_Out_3			(PowerBus_Out__3__PC)
#define PowerBus_Out_3_INTR	((uint16)((uint16)0x0001u << PowerBus_Out__3__SHIFT))

#define PowerBus_Out_4			(PowerBus_Out__4__PC)
#define PowerBus_Out_4_INTR	((uint16)((uint16)0x0001u << PowerBus_Out__4__SHIFT))

#define PowerBus_Out_5			(PowerBus_Out__5__PC)
#define PowerBus_Out_5_INTR	((uint16)((uint16)0x0001u << PowerBus_Out__5__SHIFT))

#define PowerBus_Out_6			(PowerBus_Out__6__PC)
#define PowerBus_Out_6_INTR	((uint16)((uint16)0x0001u << PowerBus_Out__6__SHIFT))

#define PowerBus_Out_7			(PowerBus_Out__7__PC)
#define PowerBus_Out_7_INTR	((uint16)((uint16)0x0001u << PowerBus_Out__7__SHIFT))

#define PowerBus_Out_INTR_ALL	 ((uint16)(PowerBus_Out_0_INTR| PowerBus_Out_1_INTR| PowerBus_Out_2_INTR| PowerBus_Out_3_INTR| PowerBus_Out_4_INTR| PowerBus_Out_5_INTR| PowerBus_Out_6_INTR| PowerBus_Out_7_INTR))

#endif /* End Pins PowerBus_Out_ALIASES_H */


/* [] END OF FILE */
