/*******************************************************************************
* File Name: SDR_TUNING.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SDR_TUNING_H) /* Pins SDR_TUNING_H */
#define CY_PINS_SDR_TUNING_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SDR_TUNING_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SDR_TUNING__PORT == 15 && ((SDR_TUNING__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    SDR_TUNING_Write(uint8 value);
void    SDR_TUNING_SetDriveMode(uint8 mode);
uint8   SDR_TUNING_ReadDataReg(void);
uint8   SDR_TUNING_Read(void);
void    SDR_TUNING_SetInterruptMode(uint16 position, uint16 mode);
uint8   SDR_TUNING_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the SDR_TUNING_SetDriveMode() function.
     *  @{
     */
        #define SDR_TUNING_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define SDR_TUNING_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define SDR_TUNING_DM_RES_UP          PIN_DM_RES_UP
        #define SDR_TUNING_DM_RES_DWN         PIN_DM_RES_DWN
        #define SDR_TUNING_DM_OD_LO           PIN_DM_OD_LO
        #define SDR_TUNING_DM_OD_HI           PIN_DM_OD_HI
        #define SDR_TUNING_DM_STRONG          PIN_DM_STRONG
        #define SDR_TUNING_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define SDR_TUNING_MASK               SDR_TUNING__MASK
#define SDR_TUNING_SHIFT              SDR_TUNING__SHIFT
#define SDR_TUNING_WIDTH              1u

/* Interrupt constants */
#if defined(SDR_TUNING__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in SDR_TUNING_SetInterruptMode() function.
     *  @{
     */
        #define SDR_TUNING_INTR_NONE      (uint16)(0x0000u)
        #define SDR_TUNING_INTR_RISING    (uint16)(0x0001u)
        #define SDR_TUNING_INTR_FALLING   (uint16)(0x0002u)
        #define SDR_TUNING_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define SDR_TUNING_INTR_MASK      (0x01u) 
#endif /* (SDR_TUNING__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SDR_TUNING_PS                     (* (reg8 *) SDR_TUNING__PS)
/* Data Register */
#define SDR_TUNING_DR                     (* (reg8 *) SDR_TUNING__DR)
/* Port Number */
#define SDR_TUNING_PRT_NUM                (* (reg8 *) SDR_TUNING__PRT) 
/* Connect to Analog Globals */                                                  
#define SDR_TUNING_AG                     (* (reg8 *) SDR_TUNING__AG)                       
/* Analog MUX bux enable */
#define SDR_TUNING_AMUX                   (* (reg8 *) SDR_TUNING__AMUX) 
/* Bidirectional Enable */                                                        
#define SDR_TUNING_BIE                    (* (reg8 *) SDR_TUNING__BIE)
/* Bit-mask for Aliased Register Access */
#define SDR_TUNING_BIT_MASK               (* (reg8 *) SDR_TUNING__BIT_MASK)
/* Bypass Enable */
#define SDR_TUNING_BYP                    (* (reg8 *) SDR_TUNING__BYP)
/* Port wide control signals */                                                   
#define SDR_TUNING_CTL                    (* (reg8 *) SDR_TUNING__CTL)
/* Drive Modes */
#define SDR_TUNING_DM0                    (* (reg8 *) SDR_TUNING__DM0) 
#define SDR_TUNING_DM1                    (* (reg8 *) SDR_TUNING__DM1)
#define SDR_TUNING_DM2                    (* (reg8 *) SDR_TUNING__DM2) 
/* Input Buffer Disable Override */
#define SDR_TUNING_INP_DIS                (* (reg8 *) SDR_TUNING__INP_DIS)
/* LCD Common or Segment Drive */
#define SDR_TUNING_LCD_COM_SEG            (* (reg8 *) SDR_TUNING__LCD_COM_SEG)
/* Enable Segment LCD */
#define SDR_TUNING_LCD_EN                 (* (reg8 *) SDR_TUNING__LCD_EN)
/* Slew Rate Control */
#define SDR_TUNING_SLW                    (* (reg8 *) SDR_TUNING__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SDR_TUNING_PRTDSI__CAPS_SEL       (* (reg8 *) SDR_TUNING__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SDR_TUNING_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SDR_TUNING__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SDR_TUNING_PRTDSI__OE_SEL0        (* (reg8 *) SDR_TUNING__PRTDSI__OE_SEL0) 
#define SDR_TUNING_PRTDSI__OE_SEL1        (* (reg8 *) SDR_TUNING__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SDR_TUNING_PRTDSI__OUT_SEL0       (* (reg8 *) SDR_TUNING__PRTDSI__OUT_SEL0) 
#define SDR_TUNING_PRTDSI__OUT_SEL1       (* (reg8 *) SDR_TUNING__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SDR_TUNING_PRTDSI__SYNC_OUT       (* (reg8 *) SDR_TUNING__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(SDR_TUNING__SIO_CFG)
    #define SDR_TUNING_SIO_HYST_EN        (* (reg8 *) SDR_TUNING__SIO_HYST_EN)
    #define SDR_TUNING_SIO_REG_HIFREQ     (* (reg8 *) SDR_TUNING__SIO_REG_HIFREQ)
    #define SDR_TUNING_SIO_CFG            (* (reg8 *) SDR_TUNING__SIO_CFG)
    #define SDR_TUNING_SIO_DIFF           (* (reg8 *) SDR_TUNING__SIO_DIFF)
#endif /* (SDR_TUNING__SIO_CFG) */

/* Interrupt Registers */
#if defined(SDR_TUNING__INTSTAT)
    #define SDR_TUNING_INTSTAT            (* (reg8 *) SDR_TUNING__INTSTAT)
    #define SDR_TUNING_SNAP               (* (reg8 *) SDR_TUNING__SNAP)
    
	#define SDR_TUNING_0_INTTYPE_REG 		(* (reg8 *) SDR_TUNING__0__INTTYPE)
#endif /* (SDR_TUNING__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SDR_TUNING_H */


/* [] END OF FILE */
