/*******************************************************************************
* File Name: Switches_IN.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_Switches_IN_ALIASES_H) /* Pins Switches_IN_ALIASES_H */
#define CY_PINS_Switches_IN_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"


/***************************************
*              Constants        
***************************************/
#define Switches_IN_0			(Switches_IN__0__PC)
#define Switches_IN_0_INTR	((uint16)((uint16)0x0001u << Switches_IN__0__SHIFT))

#define Switches_IN_1			(Switches_IN__1__PC)
#define Switches_IN_1_INTR	((uint16)((uint16)0x0001u << Switches_IN__1__SHIFT))

#define Switches_IN_2			(Switches_IN__2__PC)
#define Switches_IN_2_INTR	((uint16)((uint16)0x0001u << Switches_IN__2__SHIFT))

#define Switches_IN_3			(Switches_IN__3__PC)
#define Switches_IN_3_INTR	((uint16)((uint16)0x0001u << Switches_IN__3__SHIFT))

#define Switches_IN_4			(Switches_IN__4__PC)
#define Switches_IN_4_INTR	((uint16)((uint16)0x0001u << Switches_IN__4__SHIFT))

#define Switches_IN_5			(Switches_IN__5__PC)
#define Switches_IN_5_INTR	((uint16)((uint16)0x0001u << Switches_IN__5__SHIFT))

#define Switches_IN_6			(Switches_IN__6__PC)
#define Switches_IN_6_INTR	((uint16)((uint16)0x0001u << Switches_IN__6__SHIFT))

#define Switches_IN_7			(Switches_IN__7__PC)
#define Switches_IN_7_INTR	((uint16)((uint16)0x0001u << Switches_IN__7__SHIFT))

#define Switches_IN_INTR_ALL	 ((uint16)(Switches_IN_0_INTR| Switches_IN_1_INTR| Switches_IN_2_INTR| Switches_IN_3_INTR| Switches_IN_4_INTR| Switches_IN_5_INTR| Switches_IN_6_INTR| Switches_IN_7_INTR))

#endif /* End Pins Switches_IN_ALIASES_H */


/* [] END OF FILE */
