/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#ifndef Switches_SCModulator_HEADER
#define Switches_SCModulator_HEADER

/***************************************
*        Function Prototypes 
***************************************/
#include "cytypes.h"
#include "cyfitter.h"
#include "CyLib.h"  /* needed for the CyScPumpEnabled definition in init function */


void Switches_SCModulator_Start(void);

void Switches_SCModulator_Init(void);
void Switches_SCModulator_Enable(void);

/***************************************
*              Registers        
***************************************/
// CFG
#define Switches_SCModulator_CR0_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__CR0 )
#define Switches_SCModulator_CR0_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__CR0 )

#define Switches_SCModulator_CR1_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__CR1 )
#define Switches_SCModulator_CR1_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__CR1 )

#define Switches_SCModulator_CR2_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__CR2 )
#define Switches_SCModulator_CR2_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__CR2 )

#define Switches_SCModulator_PUMP_CR1_REG             (* (reg8 *) CYDEV_ANAIF_CFG_PUMP_CR1)
#define Switches_SCModulator_PUMP_CR1_PTR             (  (reg8 *) CYDEV_ANAIF_CFG_PUMP_CR1)

// RT
#define Switches_SCModulator_SW0_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__SW0 )
#define Switches_SCModulator_SW0_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__SW0 )

#define Switches_SCModulator_SW2_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__SW2 )
#define Switches_SCModulator_SW2_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__SW2 )

#define Switches_SCModulator_SW3_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__SW3 )
#define Switches_SCModulator_SW3_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__SW3 )

#define Switches_SCModulator_SW4_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__SW4 )
#define Switches_SCModulator_SW4_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__SW4 )

#define Switches_SCModulator_SW6_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__SW6 )
#define Switches_SCModulator_SW6_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__SW6 )

#define Switches_SCModulator_SW7_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__SW7 )
#define Switches_SCModulator_SW7_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__SW7 )

#define Switches_SCModulator_SW8_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__SW8 )
#define Switches_SCModulator_SW8_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__SW8 )

#define Switches_SCModulator_SW10_REG                 (* (reg8 *) Switches_SCModulator_ScBlock__SW10 )
#define Switches_SCModulator_SW10_PTR                 (  (reg8 *) Switches_SCModulator_ScBlock__SW10 )

#define Switches_SCModulator_CLK_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__CLK )
#define Switches_SCModulator_CLK_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__CLK )

#define Switches_SCModulator_BST_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__BST )
#define Switches_SCModulator_BST_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__BST )

#define Switches_SCModulator_SC_MISC_REG              (* (reg8 *) CYDEV_ANAIF_RT_SC_MISC)
#define Switches_SCModulator_SC_MISC_PTR              (  (reg8 *) CYDEV_ANAIF_RT_SC_MISC)

// WRK
#define Switches_SCModulator_SR_REG                   (* (reg8 *) Switches_SCModulator_ScBlock__SR )
#define Switches_SCModulator_SR_PTR                   (  (reg8 *) Switches_SCModulator_ScBlock__SR )

#define Switches_SCModulator_WRK1_REG                 (* (reg8 *) Switches_SCModulator_ScBlock__WRK1 )
#define Switches_SCModulator_WRK1_PTR                 (  (reg8 *) Switches_SCModulator_ScBlock__WRK1 )

#define Switches_SCModulator_MSK_REG                  (* (reg8 *) Switches_SCModulator_ScBlock__MSK )
#define Switches_SCModulator_MSK_PTR                  (  (reg8 *) Switches_SCModulator_ScBlock__MSK )

#define Switches_SCModulator_CMPINV_REG               (* (reg8 *) Switches_SCModulator_ScBlock__CMPINV )
#define Switches_SCModulator_CMPINV_PTR               (  (reg8 *) Switches_SCModulator_ScBlock__CMPINV )

#define Switches_SCModulator_CPTR_REG                 (* (reg8 *) Switches_SCModulator_ScBlock__CPTR )
#define Switches_SCModulator_CPTR_PTR                 (  (reg8 *) Switches_SCModulator_ScBlock__CPTR )

// power manager
#define Switches_SCModulator_PM_ACT_CFG_REG           (* (reg8 *) Switches_SCModulator_ScBlock__PM_ACT_CFG )
#define Switches_SCModulator_PM_ACT_CFG_PTR           (  (reg8 *) Switches_SCModulator_ScBlock__PM_ACT_CFG )  

#define Switches_SCModulator_PM_STBY_CFG_REG          (* (reg8 *) Switches_SCModulator_ScBlock__PM_STBY_CFG )
#define Switches_SCModulator_PM_STBY_CFG_PTR          (  (reg8 *) Switches_SCModulator_ScBlock__PM_STBY_CFG )  


// PM
// *************** MODES *****************
/* PM_ACT_CFG (Active Power Mode CFG Register)mask */ 
#define Switches_SCModulator_ACT_PWR_EN          Switches_SCModulator_ScBlock__PM_ACT_MSK 

/* PM_STBY_CFG (Alternate Active Power Mode CFG Register)mask */ 
#define Switches_SCModulator_STBY_PWR_EN          Switches_SCModulator_ScBlock__PM_STBY_MSK 


// CFG
// *************** MASKS ****************
// CFG CR0
#define Switches_SCModulator_DFT_MASK               (0x30u)
#define Switches_SCModulator_MODE_MASK              (0x0Eu)
// CFG CR1
#define Switches_SCModulator_GAIN_MASK              (0x20u)
#define Switches_SCModulator_DIV2_MASK              (0x10u)
#define Switches_SCModulator_COMP_MASK              (0x0Cu)
#define Switches_SCModulator_DRIVE_MASK             (0x03u)
// CFG CR2
#define Switches_SCModulator_PGA_GNDVREF_MASK       (0x80u)
#define Switches_SCModulator_RVAL_MASK              (0x70u)
#define Switches_SCModulator_REDC_MASK              (0x0Cu)
#define Switches_SCModulator_R20_40B_MASK           (0x02u)
#define Switches_SCModulator_BIAS_CTL_MASK          (0x01u)
// PUMP CR1
#define Switches_SCModulator_PUMP_MASK              (0x80u)

// *************** SHIFTS ****************
// CFG CR0
#define Switches_SCModulator_DFT_SHIFT              (4u)
#define Switches_SCModulator_MODE_SHIFT             (1u)
// CFG CR1
#define Switches_SCModulator_GAIN_SHIFT             (5u)
#define Switches_SCModulator_DIV2_SHIFT             (4u)
#define Switches_SCModulator_COMP_SHIFT             (2u)
#define Switches_SCModulator_DRIVE_SHIFT            (0u)
// CFG CR2
#define Switches_SCModulator_PGA_GNDVREF_SHIFT      (7u)
#define Switches_SCModulator_RVAL_SHIFT             (4u)
#define Switches_SCModulator_REDC_SHIFT             (2u)
#define Switches_SCModulator_R20_40B_SHIFT          (1u)
#define Switches_SCModulator_BIAS_CTL_SHIFT         (0u)
// PUMP CR1
#define Switches_SCModulator_PUMP_SHIFT             (7u)

// *************** MODES ****************
// CFG CR0
// DFT
#define Switches_SCModulator_DFT_NORMAL             (0x0u)
#define Switches_SCModulator_DFT_VBOOST             (0x1u)
// PGA = Voltage Integrator, TIA = Charge integrator, Naked Opamp = Comparator
#define Switches_SCModulator_DFT_MODE_DEPENDENT     (0x2u)  
#define Switches_SCModulator_DFT_RESET              (0x3u)
// MODE
#define Switches_SCModulator_MODE_NAKED_OP_AMP      (0x0u)
#define Switches_SCModulator_MODE_TIA               (0x1u)
#define Switches_SCModulator_MODE_CTMIXER           (0x2u)
#define Switches_SCModulator_MODE_NRZ_SH            (0x3u)
#define Switches_SCModulator_MODE_UNITY             (0x4u)
#define Switches_SCModulator_MODE_1ST_MOD           (0x5u)
#define Switches_SCModulator_MODE_PGA               (0x6u)
#define Switches_SCModulator_MODE_TRACKANDHOLD      (0x7u)
// CFG CR1
// GAIN
#define Switches_SCModulator_GAIN_0DB               (0u)
#define Switches_SCModulator_GAIN_6DB               (1u)
// DIV2
#define Switches_SCModulator_DIV2_DISABLE           (0u)
#define Switches_SCModulator_DIV2_ENABLE            (1u)
// COMP
#define Switches_SCModulator_COMP_3P0PF             (0u)
#define Switches_SCModulator_COMP_3P6PF             (1u)
#define Switches_SCModulator_COMP_4P35PF            (2u)
#define Switches_SCModulator_COMP_5P1PF             (3u)
// DRIVE
#define Switches_SCModulator_DRIVE_175UA            (0u)
#define Switches_SCModulator_DRIVE_260UA            (1u)
#define Switches_SCModulator_DRIVE_330UA            (2u)
#define Switches_SCModulator_DRIVE_400UA            (3u)
// CFG CR2
// PGA GNDVREF
#define Switches_SCModulator_PGA_GNDVREF_DISABLE    (0u)
#define Switches_SCModulator_PGA_GNDVREF_ENABLE     (1u)
// RVAL
#define Switches_SCModulator_RVAL_20K               (0u)
#define Switches_SCModulator_RVAL_30K               (1u)
#define Switches_SCModulator_RVAL_40K               (2u)
#define Switches_SCModulator_RVAL_80K               (3u)
#define Switches_SCModulator_RVAL_120K              (4u)
#define Switches_SCModulator_RVAL_250K              (5u)
#define Switches_SCModulator_RVAL_500K              (6u)
#define Switches_SCModulator_RVAL_1M                (7u)
// REDC
#define Switches_SCModulator_REDC_00                (0u)
#define Switches_SCModulator_REDC_01                (1u)
#define Switches_SCModulator_REDC_10                (2u)
#define Switches_SCModulator_REDC_11                (3u)
// R20 40B
#define Switches_SCModulator_R20_40B_40K            (0u)
#define Switches_SCModulator_R20_40B_20K            (1u)
// BIAS CTRL
#define Switches_SCModulator_BIAS_CTL_1X            (0u)
#define Switches_SCModulator_BIAS_CTL_2X            (1u)
// PUMP CR1
#define Switches_SCModulator_PUMP_EXTERNAL          (0u)
#define Switches_SCModulator_PUMP_INTERNAL          (1u)

// ANAIF
// *************** MASKS ****************
// CLK
#define Switches_SCModulator_DYN_CNTL_EN_MASK       (0x20u)
#define Switches_SCModulator_BYPASS_SYNC_MASK       (0x10u)
#define Switches_SCModulator_CLK_EN_MASK            (0x08u)
#define Switches_SCModulator_MX_CLK_MASK            (0x07u)
// BST
#define Switches_SCModulator_BST_CLK_EN_MASK        (0x08u)
#define Switches_SCModulator_MX_BST_CLK_MASK        (0x07u)
#define Switches_SCModulator_SC_PUMP_FORCE_MASK		(0x20u)
#define Switches_SCModulator_SC_PUMP_AUTO_MASK		(0x10u)
#define Switches_SCModulator_DIFF_PGA_1_3_MASK		(0x02u)
#define Switches_SCModulator_DIFF_PGA_0_2_MASK		(0x01u)

// *************** SHIFTS ****************
// CLK
#define Switches_SCModulator_DYN_CNTL_EN_SHIFT      (5u)
#define Switches_SCModulator_BYPASS_SYNC_SHIFT      (4u)
#define Switches_SCModulator_CLK_EN_SHIFT           (3u)
#define Switches_SCModulator_MX_CLK_SHIFT           (0u)
// BST
#define Switches_SCModulator_BST_CLK_EN_SHIFT       (3u)
#define Switches_SCModulator_MX_BST_CLK_SHIFT       (0u)
#define Switches_SCModulator_SC_PUMP_FORCE_SHIFT	(5u)
#define Switches_SCModulator_SC_PUMP_AUTO_SHIFT		(4u)
#define Switches_SCModulator_DIFF_PGA_1_3_SHIFT		(1u)
#define Switches_SCModulator_DIFF_PGA_0_2_SHIFT		(0u)


// *************** MODES ****************
// CLK
// DYN CNTRL EN
#define Switches_SCModulator_DYN_CNTL_EN_DISABLE    (0u)
#define Switches_SCModulator_DYN_CNTL_EN_ENABLE     (1u)
// BYPASS SYNC
#define Switches_SCModulator_BYPASS_SYNC_DISABLE    (0u)
#define Switches_SCModulator_BYPASS_SYNC_ENABLE     (1u)
// CLK EN
#define Switches_SCModulator_CLK_EN_DISABLE         (0u)
#define Switches_SCModulator_CLK_EN_ENABLE          (1u)
// MX CLK
#define Switches_SCModulator_MX_CLK_0               (0u)
#define Switches_SCModulator_MX_CLK_1               (1u)
#define Switches_SCModulator_MX_CLK_2               (2u)
#define Switches_SCModulator_MX_CLK_3               (3u)
#define Switches_SCModulator_MX_CLK_UDB             (4u)
// BST
// BST_CLK_EN
#define Switches_SCModulator_BST_CLK_EN_DISABLE     (0u)
#define Switches_SCModulator_BST_CLK_EN_ENABLE      (1u)
// MX BST CLK
#define Switches_SCModulator_MX_BST_CLK_0           (0u)
#define Switches_SCModulator_MX_BST_CLK_1           (1u)
#define Switches_SCModulator_MX_BST_CLK_2           (2u)
#define Switches_SCModulator_MX_BST_CLK_3           (3u)
#define Switches_SCModulator_MX_BST_CLK_UDB         (4u)
// SC MISC
// FORCE PUMP
#define Switches_SCModulator_SC_PUMP_NO_FORCE		(0u)
#define Switches_SCModulator_SC_PUMP_FORCE			(1u)
// PUMP AUTO
#define Switches_SCModulator_SC_PUMP_NO_AUTO		(0u)
#define Switches_SCModulator_SC_PUMP_AUTO			(1u)
// DIFF PGA 1 3
#define Switches_SCModulator_DIFF_PGA_1_3_DISABLE	(0u)
#define Switches_SCModulator_DIFF_PGA_1_3_ENABLE	(1u)
// DIFF PGA 0 2
#define Switches_SCModulator_DIFF_PGA_0_2_DISABLE	(0u)
#define Switches_SCModulator_DIFF_PGA_0_2_ENABLE	(1u)


// **************** ANALOG SWITCHES ****************
// since the switches are different depending on which SC/CT block is used,
// all of the defines are provided, but it is up to the user
// to force the placement of the block to ensure that the switches
// that are needed will be available
// SW0
#define Switches_SCModulator_VIN_AG7                (0x80u)
#define Switches_SCModulator_VIN_AG6                (0x40u)
#define Switches_SCModulator_VIN_AG5                (0x20u)
#define Switches_SCModulator_VIN_AG4                (0x10u)
#define Switches_SCModulator_VIN_AG3                (0x08u)
#define Switches_SCModulator_VIN_AG2                (0x04u)
#define Switches_SCModulator_VIN_AG1                (0x02u)
#define Switches_SCModulator_VIN_AG0                (0x01u)
// SW2
#define Switches_SCModulator_VIN_ABUS3              (0x08u)
#define Switches_SCModulator_VIN_ABUS2              (0x04u)
//  v-- AVAILABILITY VARIES WITH SC/CT POSITION --v
#define Switches_SCModulator_VIN_ABUS1              (0x02u)
#define Switches_SCModulator_VIN_ABUS0              (0x01u)
//  ^-- AVAILABILITY VARIES WITH SC/CT POSITION --^
// SW3
#define Switches_SCModulator_VREF_BGVREF            (0x20u)
#define Switches_SCModulator_VIN_BGVREF             (0x02u)
#define Switches_SCModulator_VIN_AMX                (0x01u)
// SW4
//  v-- AVAILABILITY VARIES WITH SC/CT POSITION --v
#define Switches_SCModulator_VREF_AG7               (0x80u)
#define Switches_SCModulator_VREF_AG6               (0x40u)
#define Switches_SCModulator_VREF_AG5               (0x20u)
#define Switches_SCModulator_VREF_AG4               (0x10u)
#define Switches_SCModulator_VREF_AG3               (0x08u)
#define Switches_SCModulator_VREF_AG2               (0x04u)
#define Switches_SCModulator_VREF_AG1               (0x02u)
#define Switches_SCModulator_VREF_AG0               (0x01u)
//  ^-- AVAILABILITY VARIES WITH SC/CT POSITION --^
// SW6
//  v-- AVAILABILITY VARIES WITH SC/CT POSITION --v
#define Switches_SCModulator_VREF_ABUS1             (0x02u)
#define Switches_SCModulator_VREF_ABUS0             (0x01u)
//  ^-- AVAILABILITY VARIES WITH SC/CT POSITION --^
// SW7
#define Switches_SCModulator_VIN_VO                 (0x04u)
// SW8
//  v-- AVAILABILITY VARIES WITH SC/CT POSITION --v
#define Switches_SCModulator_VO_AG7                 (0x80u)
#define Switches_SCModulator_VO_AG6                 (0x40u)
#define Switches_SCModulator_VO_AG5                 (0x20u)
#define Switches_SCModulator_VO_AG4                 (0x10u)
#define Switches_SCModulator_VO_AG3                 (0x08u)
#define Switches_SCModulator_VO_AG2                 (0x04u)
#define Switches_SCModulator_VO_AG1                 (0x02u)
#define Switches_SCModulator_VO_AG0                 (0x01u)
//  ^-- AVAILABILITY VARIES WITH SC/CT POSITION --^
// SW10
//  v-- AVAILABILITY VARIES WITH SC/CT POSITION --v
#define Switches_SCModulator_VO_ABUS3               (0x08u)
#define Switches_SCModulator_VO_ABUS2               (0x04u)
#define Switches_SCModulator_VO_ABUS1               (0x02u)
#define Switches_SCModulator_VO_ABUS0               (0x01u)
//  ^-- AVAILABILITY VARIES WITH SC/CT POSITION --^

// WRK
// *************** MASKS ****************
// SR
#define Switches_SCModulator_SC3_MODOUT_MASK        (0x08u)
#define Switches_SCModulator_SC2_MODOUT_MASK        (0x04u)
#define Switches_SCModulator_SC1_MODOUT_MASK        (0x02u)
#define Switches_SCModulator_SC0_MODOUT_MASK        (0x01u)
// MSK
#define Switches_SCModulator_SC3_MSK_MASK           (0x08u)
#define Switches_SCModulator_SC2_MSK_MASK           (0x04u)
#define Switches_SCModulator_SC1_MSK_MASK           (0x02u)
#define Switches_SCModulator_SC0_MSK_MASK           (0x01u)
// CMP INV
#define Switches_SCModulator_SC3_CMPINV_MASK        (0x08u)
#define Switches_SCModulator_SC2_CMPINV_MASK        (0x04u)
#define Switches_SCModulator_SC1_CMPINV_MASK        (0x02u)
#define Switches_SCModulator_SC0_CMPINV_MASK        (0x01u)
// CPTR
#define Switches_SCModulator_SC3_CPTR_MASK          (0x08u)
#define Switches_SCModulator_SC2_CPTR_MASK          (0x04u)
#define Switches_SCModulator_SC1_CPTR_MASK          (0x02u)
#define Switches_SCModulator_SC0_CPTR_MASK          (0x01u)

// *************** SHIFTS ****************
// SR
#define Switches_SCModulator_SC3_MODOUT_SHIFT       (3u)
#define Switches_SCModulator_SC2_MODOUT_SHIFT       (2u)
#define Switches_SCModulator_SC1_MODOUT_SHIFT       (1u)
#define Switches_SCModulator_SC0_MODOUT_SHIFT       (0u)
// MSK
#define Switches_SCModulator_SC3_MSK_SHIFT          (3u)
#define Switches_SCModulator_SC2_MSK_SHIFT          (2u)
#define Switches_SCModulator_SC1_MSK_SHIFT          (1u)
#define Switches_SCModulator_SC0_MSK_SHIFT          {0u)
// CMP INV
#define Switches_SCModulator_SC3_CMPINV_SHIFT       (3u)
#define Switches_SCModulator_SC2_CMPINV_SHIFT       (2u)
#define Switches_SCModulator_SC1_CMPINV_SHIFT       (1u)
#define Switches_SCModulator_SC0_CMPINV_SHIFT       (0u)
// CPTR
#define Switches_SCModulator_SC3_CPTR_SHIFT         (3u)
#define Switches_SCModulator_SC2_CPTR_SHIFT         (2u)
#define Switches_SCModulator_SC1_CPTR_SHIFT         (1u)
#define Switches_SCModulator_SC0_CPTR_SHIFT         (0u)


// *************** MODES ****************
// MSK
#define Switches_SCModulator_SC3_MSK_DISABLE        (0u)
#define Switches_SCModulator_SC3_MSK_ENABLE         (1u)
// CMP INV
#define Switches_SCModulator_SC3_CMPINV_NORMAL      (0u)
#define Switches_SCModulator_SC3_CMPINV_INVERT      (1u)
// CPTR
#define Switches_SCModulator_SC3_CPTR_EDGE          (0u)
#define Switches_SCModulator_SC3_CPTR_LEVEL         (1u)

/***************************************
*            Register Constants        
***************************************/

#endif
//[] END OF FILE