/*******************************************************************************
* File Name: VREF_VSSA.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_VREF_VSSA_H) /* Pins VREF_VSSA_H */
#define CY_PINS_VREF_VSSA_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "VREF_VSSA_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 VREF_VSSA__PORT == 15 && ((VREF_VSSA__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    VREF_VSSA_Write(uint8 value);
void    VREF_VSSA_SetDriveMode(uint8 mode);
uint8   VREF_VSSA_ReadDataReg(void);
uint8   VREF_VSSA_Read(void);
void    VREF_VSSA_SetInterruptMode(uint16 position, uint16 mode);
uint8   VREF_VSSA_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the VREF_VSSA_SetDriveMode() function.
     *  @{
     */
        #define VREF_VSSA_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define VREF_VSSA_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define VREF_VSSA_DM_RES_UP          PIN_DM_RES_UP
        #define VREF_VSSA_DM_RES_DWN         PIN_DM_RES_DWN
        #define VREF_VSSA_DM_OD_LO           PIN_DM_OD_LO
        #define VREF_VSSA_DM_OD_HI           PIN_DM_OD_HI
        #define VREF_VSSA_DM_STRONG          PIN_DM_STRONG
        #define VREF_VSSA_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define VREF_VSSA_MASK               VREF_VSSA__MASK
#define VREF_VSSA_SHIFT              VREF_VSSA__SHIFT
#define VREF_VSSA_WIDTH              1u

/* Interrupt constants */
#if defined(VREF_VSSA__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in VREF_VSSA_SetInterruptMode() function.
     *  @{
     */
        #define VREF_VSSA_INTR_NONE      (uint16)(0x0000u)
        #define VREF_VSSA_INTR_RISING    (uint16)(0x0001u)
        #define VREF_VSSA_INTR_FALLING   (uint16)(0x0002u)
        #define VREF_VSSA_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define VREF_VSSA_INTR_MASK      (0x01u) 
#endif /* (VREF_VSSA__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define VREF_VSSA_PS                     (* (reg8 *) VREF_VSSA__PS)
/* Data Register */
#define VREF_VSSA_DR                     (* (reg8 *) VREF_VSSA__DR)
/* Port Number */
#define VREF_VSSA_PRT_NUM                (* (reg8 *) VREF_VSSA__PRT) 
/* Connect to Analog Globals */                                                  
#define VREF_VSSA_AG                     (* (reg8 *) VREF_VSSA__AG)                       
/* Analog MUX bux enable */
#define VREF_VSSA_AMUX                   (* (reg8 *) VREF_VSSA__AMUX) 
/* Bidirectional Enable */                                                        
#define VREF_VSSA_BIE                    (* (reg8 *) VREF_VSSA__BIE)
/* Bit-mask for Aliased Register Access */
#define VREF_VSSA_BIT_MASK               (* (reg8 *) VREF_VSSA__BIT_MASK)
/* Bypass Enable */
#define VREF_VSSA_BYP                    (* (reg8 *) VREF_VSSA__BYP)
/* Port wide control signals */                                                   
#define VREF_VSSA_CTL                    (* (reg8 *) VREF_VSSA__CTL)
/* Drive Modes */
#define VREF_VSSA_DM0                    (* (reg8 *) VREF_VSSA__DM0) 
#define VREF_VSSA_DM1                    (* (reg8 *) VREF_VSSA__DM1)
#define VREF_VSSA_DM2                    (* (reg8 *) VREF_VSSA__DM2) 
/* Input Buffer Disable Override */
#define VREF_VSSA_INP_DIS                (* (reg8 *) VREF_VSSA__INP_DIS)
/* LCD Common or Segment Drive */
#define VREF_VSSA_LCD_COM_SEG            (* (reg8 *) VREF_VSSA__LCD_COM_SEG)
/* Enable Segment LCD */
#define VREF_VSSA_LCD_EN                 (* (reg8 *) VREF_VSSA__LCD_EN)
/* Slew Rate Control */
#define VREF_VSSA_SLW                    (* (reg8 *) VREF_VSSA__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define VREF_VSSA_PRTDSI__CAPS_SEL       (* (reg8 *) VREF_VSSA__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define VREF_VSSA_PRTDSI__DBL_SYNC_IN    (* (reg8 *) VREF_VSSA__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define VREF_VSSA_PRTDSI__OE_SEL0        (* (reg8 *) VREF_VSSA__PRTDSI__OE_SEL0) 
#define VREF_VSSA_PRTDSI__OE_SEL1        (* (reg8 *) VREF_VSSA__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define VREF_VSSA_PRTDSI__OUT_SEL0       (* (reg8 *) VREF_VSSA__PRTDSI__OUT_SEL0) 
#define VREF_VSSA_PRTDSI__OUT_SEL1       (* (reg8 *) VREF_VSSA__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define VREF_VSSA_PRTDSI__SYNC_OUT       (* (reg8 *) VREF_VSSA__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(VREF_VSSA__SIO_CFG)
    #define VREF_VSSA_SIO_HYST_EN        (* (reg8 *) VREF_VSSA__SIO_HYST_EN)
    #define VREF_VSSA_SIO_REG_HIFREQ     (* (reg8 *) VREF_VSSA__SIO_REG_HIFREQ)
    #define VREF_VSSA_SIO_CFG            (* (reg8 *) VREF_VSSA__SIO_CFG)
    #define VREF_VSSA_SIO_DIFF           (* (reg8 *) VREF_VSSA__SIO_DIFF)
#endif /* (VREF_VSSA__SIO_CFG) */

/* Interrupt Registers */
#if defined(VREF_VSSA__INTSTAT)
    #define VREF_VSSA_INTSTAT            (* (reg8 *) VREF_VSSA__INTSTAT)
    #define VREF_VSSA_SNAP               (* (reg8 *) VREF_VSSA__SNAP)
    
	#define VREF_VSSA_0_INTTYPE_REG 		(* (reg8 *) VREF_VSSA__0__INTTYPE)
#endif /* (VREF_VSSA__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_VREF_VSSA_H */


/* [] END OF FILE */
